
ctools - Feature #1145

ctobssim should also fill the DETX and DETY columns

02/13/2014 01:35 AM - Knödlseder Jürgen

Status: Closed Start date: 02/13/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Everything is in the title.

History

#1 - 02/13/2014 01:35 AM - Knödlseder Jürgen

- Tracker changed from Change request to Feature

- Remaining (hours) set to 0.0

#2 - 07/11/2014 04:09 PM - Knödlseder Jürgen

- Target version changed from 00-07-02 to 1.0.0

#3 - 10/17/2014 06:07 PM - Mayer Michael

If I am not mistaken, this issue is easily solvable by slightly changing GCTAResponseIrf::mc(), which is called from ctobssim::simulate_background().

When setting up the GCTAInstDir object in GCTAResponseIrf::mc(), we could do:

GCTAInstDir inst_dir = pnt.instdir(sky_dir);

instead of currently:

GCTAInstDir inst_dir;

inst_dir.dir(sky_dir);

The latter does not set DETX and DETY, while the former does. I made a quick test and the columns where filled correctly. The fix is available on

branch 1145-fill-detx-dety-from-ctobssim.

#4 - 10/17/2014 06:08 PM - Mayer Michael

The fix is available on branch 1145-fill-detx-dety-from-ctobssim
... in the gammalib repo

#5 - 10/17/2014 08:43 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

Merged into devel branch.
